<?php

/**
 * @package     JohnCMS
 * @link        http://johncms.com
 * @copyright   Copyright (C) 2008-2011 JohnCMS Community
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      http://johncms.com/about
 */
echo '<title>Вывод средств</title>';
define('_IN_JOHNCMS', 1);
require('incfiles/core.php');
require('incfiles/head.php');

/*
-----------------------------------------------------------------
Закрываем от неавторизованных юзеров
-----------------------------------------------------------------
*/
if (!$user_id) {
    require('incfiles/head.php');
    echo functions::display_error($lng['access_guest_forbidden']);
    require('incfiles/end.php');
    exit;
}

/*
-----------------------------------------------------------------
Получаем данные пользователя
-----------------------------------------------------------------
*/
$user = functions::get_user($user);
if (!$user) {
    require('incfiles/head.php');
    echo functions::display_error($lng['user_does_not_exist']);
    require('incfiles/end.php');
    exit;
}
$shop = mysql_fetch_assoc(mysql_query("SELECT * FROM `cms_settings` WHERE `key` = 'min' LIMIT 1"));
$time = time();
	
if (isset($_POST['cena'])){
   $cena=intval($_POST['cena']);
   if (empty($cena)){
  echo functions::display_error('Пустое значение');
  require_once('incfiles/end.php');
   exit;
}
   if ($user['qiwi']<1111){
  echo functions::display_error('Заполните кошелек');
  require_once('incfiles/end.php');
   exit;
}

   if ($cena<$shop['val']){
  echo functions::display_error('Значение меньше минимальной суммы');
  require_once('incfiles/end.php');
   exit;
}
   if ($user['balans']<$cena){
  echo functions::display_error('Не достаточно денег');
  require_once('incfiles/end.php');
   exit;
}

 if (!$error){
 mysql_query("UPDATE `users` SET `balans` = '".($user['balans']-$cena)."' WHERE `id` = '$user[id]' LIMIT 1");
 mysql_query("INSERT INTO `out_money` SET `id_user` = '$user[id]', `rub` = '$cena', `wmr` = '$user[qiwi]', `tip` = '2', `time` = '$time'");
 header ('Location: /okq.php');
 
	  }
  
}

$textl = htmlspecialchars($user['name']);
$vipl = mysql_fetch_assoc(mysql_query("SELECT * FROM `cms_settings` WHERE `key` = 'platact' LIMIT 1"));
if($vipl['val']==1){
echo'<div class="phdr"><a href="profile.php?user=' . $user['id'] . '"><b>' . $lng['profile'] . '</b></a> | Вывод средств на QIWI</div>' .
    '<div class="user"><p>' . functions::display_user($user, array('iphide' => 1,)) . '</p></div>';
	echo '<div class="menu"><font color="#008000">Выплаты в течении трех рабочих дней</font></div>'; 
    echo '<div class="menu"><font color="#008000">Выплата производится только если у вас подтвержден данный кошелек</font></div>'; 
	echo '<div class="gmenu"><p>Ваш баланс: ' . $user['balans'] . '<font color="#008000">   руб</font></p>';
	echo '<p>Минимальная сумма на вывод: ' . $shop['val'] . '<font color="#008000">   руб</font></p>';
echo '</div>';

if ($user['balans']>=$shop['val']) {
	echo '<div class="menu">';
	 echo "<form action='/okq.php?' method=\"post\">";
$ii = floor($user['balans']);
echo "<input  placeholder = 'Введите сумму' type='text' name='cena' value='$ii' />\n";
echo "<input class=\"knopka\" type=\"submit\" value=\"Подать\" />\n";
echo "</form></div>"; 
	} 
	else {
		echo '<div class="bmenu">У вас недостаточно средств для вывода</div>';
		}
		     
		$q = mysql_query("SELECT * FROM `out_money` WHERE id_user = '$user[id]' and tip = '2' ORDER BY id DESC LIMIT 10");

while ($post = mysql_fetch_assoc($q))
{
	
	echo '<div class="menu">';
echo "Время запроса: ".functions::display_date($post['time'])."</br>";
echo 'Кошелек: ';
echo htmlentities($post['wmr']);
echo '<br />Сумма: ';
echo htmlentities($post['rub']);
echo ' рублей<br />Статус: '; if ($post['status']==1) {
echo '<font color="green"><b>Выплачено</b></font>';
echo "<br />Время выплаты: ".functions::display_date($post['time_ok'])."";
}elseif ($post['status']==3) {
echo '<font color="red"><b>Отменено</b></font>';
}else{
	
echo '<font color="blue"><b>В ожидание</b></font>';}

echo '</div>';
} 
} else {
	echo '<div class="bmenu">Выплаты приостановлены</div>';
		}

   require('incfiles/end.php');